Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.settings
Class GameSettings

    java.lang.Object
      net.minecraft.client.settings.GameSettings

    public class GameSettings

extends Object

Field Summary
`boolean` | `advancedItemTooltips` Whether to show advanced information on item tooltips, toggled by F3+H
`boolean` | `advancedOpengl` Advanced OpenGL
`boolean` | `ambientOcclusion` Smooth Lighting
`boolean` | `anaglyph`
`boolean` | `chatColours`
`boolean` | `chatLinks`
`boolean` | `chatLinksPrompt`
`float` | `chatOpacity`
`int` | `chatVisibility`
`boolean` | `clouds` Clouds flag
`boolean` | `debugCamEnable`
`float` | `debugCamRate` Change rate for debug camera
`int` | `difficulty`
`boolean` | `enableVsync`
`boolean` | `fancyGraphics`
`boolean` | `field_92117_D`
`int` | `field_92118_B`
`int` | `field_92119_C`
`float` | `fovSetting`
`boolean` | `fullScreen`
`float` | `gammaSetting`
`int` | `guiScale` GUI scale
`boolean` | `hideGUI`
`boolean` | `hideServerAddress`
`boolean` | `invertMouse`
`KeyBinding` | `keyBindAttack`
`KeyBinding` | `keyBindBack`
`KeyBinding` | `keyBindChat`
`KeyBinding` | `keyBindCommand`
`KeyBinding` | `keyBindDrop`
`KeyBinding` | `keyBindForward`
`KeyBinding[]` | `keyBindings`
`KeyBinding` | `keyBindInventory`
`KeyBinding` | `keyBindJump`
`KeyBinding` | `keyBindLeft`
`KeyBinding` | `keyBindPickBlock`
`KeyBinding` | `keyBindPlayerList`
`KeyBinding` | `keyBindRight`
`KeyBinding` | `keyBindSneak`
`KeyBinding` | `keyBindUseItem`
`String` | `language` Game settings language
`String` | `lastServer` The lastServer string.
`int` | `limitFramerate`
`float` | `mouseSensitivity`
`float` | `musicVolume`
`boolean` | `noclip` No clipping for singleplayer
`float` | `noclipRate` No clipping movement rate
`int` | `particleSetting` Determines amount of particles.
`boolean` | `pauseOnLostFocus` Whether to pause when the game loses focus, toggled by F3+P
`int` | `renderDistance`
`boolean` | `serverTextures`
`boolean` | `showCape` Whether to show your cape
`boolean` | `showDebugInfo` true if debug info should be displayed instead of version
`boolean` | `showDebugProfilerChart`
`String` | `skin` The name of the selected texture pack.
`boolean` | `smoothCamera` Smooth Camera Toggle
`boolean` | `snooperEnabled`
`float` | `soundVolume`
`int` | `thirdPersonView`
`boolean` | `touchscreen`
`boolean` | `viewBobbing`

Constructor Summary
`GameSettings()`
`GameSettings(Minecraft par1Minecraft, File par2File)`

Method Summary
`String` | `getKeyBinding(EnumOptions par1EnumOptions)` Gets a key binding.
`String` | `getKeyBindingDescription(int par1)`
`static String` | `getKeyDisplayString(int par0)` Represents a key or mouse button as a string.
`String` | `getOptionDisplayString(int par1)` The string that appears inside the button/slider in the options menu.
`float` | `getOptionFloatValue(EnumOptions par1EnumOptions)`
`boolean` | `getOptionOrdinalValue(EnumOptions par1EnumOptions)`
`void` | `loadOptions()` Loads the options from the options file.
`void` | `saveOptions()` Saves the options to the options file.
`void` | `sendSettingsToServer()` Send a client info packet with settings information to the server
`void` | `setKeyBinding(int par1, int par2)` Sets a key binding.
`void` | `setOptionFloatValue(EnumOptions par1EnumOptions, float par2)` If the specified option is controlled by a slider (float value), this will set the float value.
`void` | `setOptionValue(EnumOptions par1EnumOptions, int par2)` For non-float options.
`boolean` | `shouldRenderClouds()` Should render clouds

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### musicVolume

    public float musicVolume

### soundVolume

    public float soundVolume

### mouseSensitivity

    public float mouseSensitivity

### invertMouse

    public boolean invertMouse

### renderDistance

    public int renderDistance

### viewBobbing

    public boolean viewBobbing

### anaglyph

    public boolean anaglyph

### advancedOpengl

    public boolean advancedOpengl

  Advanced OpenGL

### limitFramerate

    public int limitFramerate

### fancyGraphics

    public boolean fancyGraphics

### ambientOcclusion

    public boolean ambientOcclusion

  Smooth Lighting

### clouds

    public boolean clouds

  Clouds flag

### skin

    public String skin

  The name of the selected texture pack.

### chatVisibility

    public int chatVisibility

### chatColours

    public boolean chatColours

### chatLinks

    public boolean chatLinks

### chatLinksPrompt

    public boolean chatLinksPrompt

### chatOpacity

    public float chatOpacity

### serverTextures

    public boolean serverTextures

### snooperEnabled

    public boolean snooperEnabled

### fullScreen

    public boolean fullScreen

### enableVsync

    public boolean enableVsync

### hideServerAddress

    public boolean hideServerAddress

### advancedItemTooltips

    public boolean advancedItemTooltips

  Whether to show advanced information on item tooltips, toggled by F3+H

### pauseOnLostFocus

    public boolean pauseOnLostFocus

  Whether to pause when the game loses focus, toggled by F3+P

### showCape

    public boolean showCape

  Whether to show your cape

### touchscreen

    public boolean touchscreen

### field_92118_B

    public int field_92118_B

### field_92119_C

    public int field_92119_C

### field_92117_D

    public boolean field_92117_D

### keyBindForward

    public KeyBinding keyBindForward

### keyBindLeft

    public KeyBinding keyBindLeft

### keyBindBack

    public KeyBinding keyBindBack

### keyBindRight

    public KeyBinding keyBindRight

### keyBindJump

    public KeyBinding keyBindJump

### keyBindInventory

    public KeyBinding keyBindInventory

### keyBindDrop

    public KeyBinding keyBindDrop

### keyBindChat

    public KeyBinding keyBindChat

### keyBindSneak

    public KeyBinding keyBindSneak

### keyBindAttack

    public KeyBinding keyBindAttack

### keyBindUseItem

    public KeyBinding keyBindUseItem

### keyBindPlayerList

    public KeyBinding keyBindPlayerList

### keyBindPickBlock

    public KeyBinding keyBindPickBlock

### keyBindCommand

    public KeyBinding keyBindCommand

### keyBindings

    public KeyBinding[] keyBindings

### difficulty

    public int difficulty

### hideGUI

    public boolean hideGUI

### thirdPersonView

    public int thirdPersonView

### showDebugInfo

    public boolean showDebugInfo

  true if debug info should be displayed instead of version

### showDebugProfilerChart

    public boolean showDebugProfilerChart

### lastServer

    public String lastServer

  The lastServer string.

### noclip

    public boolean noclip

  No clipping for singleplayer

### smoothCamera

    public boolean smoothCamera

  Smooth Camera Toggle

### debugCamEnable

    public boolean debugCamEnable

### noclipRate

    public float noclipRate

  No clipping movement rate

### debugCamRate

    public float debugCamRate

  Change rate for debug camera

### fovSetting

    public float fovSetting

### gammaSetting

    public float gammaSetting

### guiScale

    public int guiScale

  GUI scale

### particleSetting

    public int particleSetting

  Determines amount of particles. 0 = All, 1 = Decreased, 2 = Minimal

### language

    public String language

  Game settings language

Constructor Detail

### GameSettings

    public GameSettings(Minecraft par1Minecraft,
                        File par2File)

### GameSettings

    public GameSettings()

Method Detail

### getKeyBindingDescription

    public String getKeyBindingDescription(int par1)

### getOptionDisplayString

    public String getOptionDisplayString(int par1)

  The string that appears inside the button/slider in the options menu.

### getKeyDisplayString

    public static String getKeyDisplayString(int par0)

  Represents a key or mouse button as a string. Args: key

### setKeyBinding

    public void setKeyBinding(int par1,
                              int par2)

  Sets a key binding.

### setOptionFloatValue

    public void setOptionFloatValue(EnumOptions par1EnumOptions,
                                    float par2)

  If the specified option is controlled by a slider (float value), this will set the float value.

### setOptionValue

    public void setOptionValue(EnumOptions par1EnumOptions,
                               int par2)

  For non-float options. Toggles the option on/off, or cycles through the list i.e. render distances.

### getOptionFloatValue

    public float getOptionFloatValue(EnumOptions par1EnumOptions)

### getOptionOrdinalValue

    public boolean getOptionOrdinalValue(EnumOptions par1EnumOptions)

### getKeyBinding

    public String getKeyBinding(EnumOptions par1EnumOptions)

  Gets a key binding.

### loadOptions

    public void loadOptions()

  Loads the options from the options file. It appears that this has replaced the previous 'loadOptions'

### saveOptions

    public void saveOptions()

  Saves the options to the options file.

### sendSettingsToServer

    public void sendSettingsToServer()

  Send a client info packet with settings information to the server

### shouldRenderClouds

    public boolean shouldRenderClouds()

  Should render clouds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD